Tenable Security Center API: License

/v1/license

Methods

GET

Gets the system initialization information.

NOTE #1 : This can be called prior to login. But not all fields will be returned. Only the statustype, and blades.sc.features fields in the response will only show if you make this API call authenticated.

NOTE #2 : if the license is "perpetual" then the expiration and blades.*.expiration fields are returned as "never" instead of a timestamp.

Request Parameters

None

Example Response before auth
Expand
{
    "type": "regular",
    "response": {
        "status": "Valid",
        "type": "SC",
        "blades": {
            "sc": {
                "features": {
                    "ACAS": "disabled",
                    "ContinuousView": "enabled"
                }
            }
        }
    },
    "error_code": 0,
    "error_msg": "",
    "warnings": [],
    "timestamp": 1782914903
}
Example Response after login
Expand
{
    "type": "regular",
    "response": {
        "status": "Valid",
        "version": "6.9.0",
        "blades": {
            "sc": {
                "enabled": true,
                "mode": "Demo",
                "limit": "102400",
                "expiration": "2026-09-02T04:00:00Z",
                "expiration_epoch": 1788321600,
                "status": "Valid",
                "used": 699,
                "features": {
                    "ContinuousView": "enabled",
                    "was_fqdns": "50",
                    "ACAS": "disabled"
                }
            },
            "was": {
                "enabled": true,
                "mode": "Demo",
                "limit": "50",
                "expiration": "2026-09-02T04:00:00Z",
                "expiration_epoch": 1788321600,
                "status": "Valid",
                "used": 1
            }
        },
        "eval": 0,
        "expiration": 1788321600,
        "mode": "Demo",
        "activation_code": "WXYZ-WXYZ-WXYZ-WXYZ",
        "type": "SC"
    },
    "error_code": 0,
    "error_msg": "",
    "warnings": [],
    "timestamp": 1782914917
}

/v1/license/utilization [ TES only ]

Methods

GET

Retrieves the license utilization in Tenable.sc.

Request Parameters

None

Example Response
Expand
{
    "activation_code": "QA-TMP-5FA5-BDC7-92DF-68FC-423A",
    "expiration": "2026-07-22T10:02:51Z",
    "last_updated": "2026-06-22T10:09:01Z",
    "id": "0d4f7ae8-5b06-4a8b-b24c-1e5d736ad17d",
    "cluster_id": "0d4f7ae8-5b06-4a8b-b24c-1e5d736ad17d",
    "license_by": "cluster_id",
    "status": "Valid",
    "blades": {
        "sc": {
            "enabled": true,
            "limit": 999,
            "used": 72,
            "remaining": 927,
            "last_updated": "2026-07-01T14:34:56.898316699Z",
            "expiration": "07-22-2026",
            "status": "Valid"
        },
        "consec": {
            "enabled": true,
            "limit": 699,
            "used": 0,
            "remaining": 699,
            "last_updated": "2026-07-01T14:34:56.706652431Z",
            "expiration": "07-22-2026",
            "status": "Valid"
        },
        "was": {
            "enabled": true,
            "limit": 499,
            "used": 0,
            "remaining": 499,
            "last_updated": "2026-07-01T14:34:56.905302431Z",
            "expiration": "07-22-2026",
            "status": "Valid"
        }
    }
}